-- Copyright (c) 2026 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.
if ReqBody.RequestMethod == 'DELETE' then
    if not ReqBody.Id then
        error(base_messages.PropertyMissing('Id'))
    end
elseif ReqBody.Id then
    error(base_messages.PropertyUnknown('Id'))
end
if ReqBody.Id and (tonumber(ReqBody.Id) > 20 or tonumber(ReqBody.Id) < 1) then
    error(custom_messages.InvalidRecordId())
end

return true